Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# MultiplexStream Class Reference

This is a special ostream that forwards the data that is written to it to any number of other sources, for instance other ostreams, or explicitly to a disk file or to system logging utilities. More...

Inheritance diagram for MultiplexStream:

List of all members.

## Public Member Functions
| MultiplexStream ()
bool | addFile (Filename file)
| Adds the given file to the multiplex output.
| addOstream (ostream out, bool delete_later)
| Adds the indicated generic ostream to the multiplex output.
| addOstream (ostream out)
| Adds the indicated generic ostream to the multiplex output.
| addStandardOutput ()
| Adds the standard output channel.
bool | addStdioFile (FILE file, bool close_when_done)
| Adds the given file, previously opened using the C stdio library, to the multiplex output.
| addSystemDebug ()
| Adds the system debug output the the multiplex output.
| flush ()
| Forces out all output that hasn't yet been written.

## Detailed Description

This is a special ostream that forwards the data that is written to it to any number of other sources, for instance other ostreams, or explicitly to a disk file or to system logging utilities.

It's a very handy thing to set Notify to refer to when running in batch mode.

## Constructor & Destructor Documentation

MultiplexStream | ( |  | ) |

## Member Function Documentation

bool addFile | ( | Filename | file | ) |

Adds the given file to the multiplex output.

The file is opened in append mode with line buffering. Returns false if the file cannot be opened.

addOstream | ( | ostream | out,
|  | bool | delete_later
| ) |  |

Adds the indicated generic ostream to the multiplex output.

The ostream will receive whatever data is sent to the pipe.

addOstream | ( | ostream | out | ) |

Adds the indicated generic ostream to the multiplex output.

The ostream will receive whatever data is sent to the pipe.

addStandardOutput | ( |  | ) |

Adds the standard output channel.

bool addStdioFile | ( | FILE | file,
|  | bool | close_when_done
| ) |  |

Adds the given file, previously opened using the C stdio library, to the multiplex output.

addSystemDebug | ( |  | ) |

Adds the system debug output the the multiplex output.

This may map to a syslog or some such os-specific output system. It may do nothing on a particular system.

Presently, this maps only to OutputDebugString() on Windows.

flush | ( |  | ) |

Forces out all output that hasn't yet been written.

Reimplemented from ostream.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties